API lấy chi tiết giao dịch

Lấy thông tin chi tiết một giao dịch ngân hàng theo UUID qua SePay API v2. Trả về số tiền, nội dung, tài khoản ngân hàng và metadata giao dịch.

||

Chi tiết giao dịch

GET
https://userapi.sepay.vn/v2/transactions/{transaction_id}

Lấy thông tin chi tiết một giao dịch theo UUID.

Tham số

transaction_idstringrequired

UUID giao dịch

Code mẫu

>
>
>
curl --request GET \
--url https://userapi.sepay.vn/v2/transactions/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'

Response

Response 200
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
{
"status": "success",
"data": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"transaction_date": "2026-01-22 16:45:30",
"account_number": "0123456789",
"va": "VA001",
"transfer_type": "in",
"amount_in": 500000,
"amount_out": 0,
"accumulated": 1500000,
"transaction_content": "Thanh toan don hang #123",
"reference_number": "FT26069ABC",
"code": null,
"bank_brand_name": "ACB",
"bank_account_id": "f9e8d7c6-b5a4-3210-fedc-ba0987654321",
"va_id": "a2b3c4d5-e6f7-8901-bcde-f12345678901",
"webhook_success": 1
}
}
Response 200 - Chi tiết giao dịch
{
  "status": "success",
  "data": {
    "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "transaction_date": "2025-11-22 14:45:00",
    "account_number": "68501234789",
    "va": "VA001",
    "amount_in": 500000,
    "amount_out": 0,
    "accumulated": 1500000,
    "transaction_content": "Chuyen tien mua hang DH2025001",
    "reference_number": "FT26069ABC",
    "code": "ABC123",
    "bank_brand_name": "ACB",
    "bank_account_id": "f9e8d7c6-b5a4-3210-fedc-ba0987654321",
    "va_id": "a2b3c4d5-e6f7-8901-bcde-f12345678901",
    "webhook_success": 1,
    "transfer_type": "in"
  }
}

Lỗi

  • 404: Trả 404 nếu giao dịch không tìm thấy hoặc không thuộc công ty đã xác thực